- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Utils::Io::Xml::Stream::XmlStreamLocation Class Reference

`#include <XmlStreamLocation.h>`

Inheritance diagram for Mers::Utils::Io::Xml::Stream::XmlStreamLocation:

[legend]
List of all members.

## Public Member Functions
virtual | ~XmlStreamLocation ()
virtual int | getCharacterOffset ()=0
virtual int | getColumnNumber ()=0
virtual int | getLineNumber ()=0
virtual const std::string & | getPublicId ()=0
virtual const std::string & | getSystemId ()=0

## Detailed Description

Declaration of the XmlStreamLocation interface class from JSR 173. XmlStreamLocation represents the current location in the stream. The content of this object is invalidated once the stream is modified. All of the information provided by XmlStreamLocation is optional (the methods will return -1 or an empty string if they're not supported).

Definition at line 34 of file XmlStreamLocation.h.

## Member Function Documentation

virtual int Mers::Utils::Io::Xml::Stream::XmlStreamLocation::getCharacterOffset | ( |  | ) | `[pure virtual]`

Returns the character offset into the input source.

Implemented in Libxml2TextReaderLocation.

virtual int Mers::Utils::Io::Xml::Stream::XmlStreamLocation::getColumnNumber | ( |  | ) | `[pure virtual]`

Returns the column number, where the current event ends, or -1 if the operation is not supported.

Implemented in Libxml2TextReaderLocation.

virtual int Mers::Utils::Io::Xml::Stream::XmlStreamLocation::getLineNumber | ( |  | ) | `[pure virtual]`

Returns the current line number, or -1 if the operation is not supported.

Implemented in Libxml2TextReaderLocation.

virtual const std::string& Mers::Utils::Io::Xml::Stream::XmlStreamLocation::getPublicId | ( |  | ) | `[pure virtual]`

Returns the public Id (?)

Implemented in Libxml2TextReaderLocation.

virtual const std::string& Mers::Utils::Io::Xml::Stream::XmlStreamLocation::getSystemId | ( |  | ) | `[pure virtual]`

Return the system Id of the XML (?)

Implemented in Libxml2TextReaderLocation.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Io/Xml/Stream/XmlStreamLocation.h